Subject: Re: [Tools-discuss] The Document Citation Tool is (somewhat) broken

From: Carsten Bormann <[email-masked]>
Date: Mon, 28 Jun 2021 21:34:26 +0200

Hi Ole,

I’m too lazy for web pages.
I fire up a document like this:

---
title: Bibliography Skeleton
docname: draft-skeleton-00
cat: info
ipr: trust200902
stand_alone: yes
pi: [toc, sortrefs, symrefs, comments]

author:
    name: Carsten Bormann

normative:
  RFC8949:
  RFC8610:
  I-D.bormann-cddl-freezer:
  RFC7575:

--- abstract

A

--- middle

# Introduction

a

… and run…

kdrfc -3 skel-bib.md

… and get (surrounded by boilerplate):

   [I-D.bormann-cddl-freezer]
              Bormann, C., "A feature freezer for the Concise Data
              Definition Language (CDDL)", Work in Progress, Internet-
              Draft, draft-bormann-cddl-freezer-00, 27 January 2018,
              <https://www.ietf.org/archive/id/draft-bormann-cddl-
              freezer-00.txt>.

   [RFC7575]  Behringer, M., Pritikin, M., Bjarnason, S., Clemm, A.,
              Carpenter, B., Jiang, S., and L. Ciavaglia, "Autonomic
              Networking: Definitions and Design Goals", RFC 7575,
              DOI 10.17487/RFC7575, June 2015,
              <https://www.rfc-editor.org/info/rfc7575>.

   [RFC8610]  Birkholz, H., Vigano, C., and C. Bormann, "Concise Data
              Definition Language (CDDL): A Notational Convention to
              Express Concise Binary Object Representation (CBOR) and
              JSON Data Structures", RFC 8610, DOI 10.17487/RFC8610,
              June 2019, <https://www.rfc-editor.org/info/rfc8610>.

   [RFC8949]  Bormann, C. and P. Hoffman, "Concise Binary Object
              Representation (CBOR)", STD 94, RFC 8949,
              DOI 10.17487/RFC8949, December 2020,
              <https://www.rfc-editor.org/info/rfc8949>.

Doesn’t help you with your repair request, but works for me.

Grüße, Carsten

---

From: Jay Daley <[email-masked]>
Date: Tue, 29 Jun 2021 08:00:46 +1200

(moving discussion to tools-discuss)

Ole

> On 29/06/2021, at 6:36 AM, Ole Jacobsen <olejacobsen=[email-masked]> wrote:
> 
> 
> Hi,
> 
> Several years ago, Henrik set up this wonderful tool that creates citations for
> IETF documents (IDs and RFCs) in a standard format. The tool is customizable
> and lives here:
> 
> https://tools.ietf.org/tools/citation/
> 
> Enter, for example, "7575" in the box and you get:
> 
> Clemm, A., Behringer, M., Jiang, S., Pritikin, M., Ciavaglia, L., Bjarnason, S., and B. Carpenter,
> "Autonomic Networking: Definitions and Design Goals," RFC 7575, June 2015.
> 
> It's something I use often to get a consistent list of references in
> articles.
> 
> But, sadly, something is currently broken with this tool, or I suspect something has
> changed in the back-end (datatracker or tools?) whereby recent RFCs are not recognized,
> for example: RFC 8890 gives me: "Could not find author data for document 'rfc8990'"
> 
> And worse: RFC 8995 returns: "An error occurred at this point in the web-page generation.
> An error report has been sent to the webmaster. If this error isn't fixed within 48 hours,
> please contact the web page author directly at [email-masked]."
> 
> I know Henrik is probably no longer maintaining this tool so I am not blaming him
> or expecting him to fix it, but perhaps someone from the tools/datatracker group could
> take a look at this? It really is a VERY nice tool and I would hate to see it disabled
> forever.
> 
> Thanks in advance!

An RFP was recently awarded [1] for a replacement for the citation library generation and access (API and web page) tool. Unfortunately, when writing that RFP I didn’t know about this specific tool and so it is not listed as a deliverable.  However, it should be relatively straightforward to add simple output of this format, though a fully programmable output format is more complex and I’m not sure it is necessary.  Do you use that programmable output functionality?

Jay

[1] https://mailarchive.ietf.org/arch/msg/ietf-announce/XPvRg0vSCWUBaSxtX1jSVtsNb3I/

> 
> Ole
> 
> 
> Ole J. Jacobsen
> Editor and Publisher
> The Internet Protocol Journal
> Office: +1 415-550-9433
> Cell:   +1 415-370-4628
> Web: protocoljournal.org
> E-mail: [email-masked]
> E-mail: [email-masked]
> Skype: organdemo
> 
> 

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Ole Jacobsen <[email-masked]>
Date: Mon, 28 Jun 2021 13:05:26 -0700

Hi Jay,

I only use the two output options:

{authors.andlist}, "{doctitle}," {date:%B %Y}, {docname}.

and

{authors.rfclist}, "{doctitle}," {docname}, {date:%B %Y}.

... although I usually set both the the first option {authors.andlist}
and would be more than happy if that was the only option.

Thanks for looking into this!

And: In the interim, perhaps something changed "behind the scenes" that causes this
problem that could be fixed?

Ole

> On Jun 28, 2021, at 13:00, Jay Daley <[email-masked]> wrote:
> 

Ole J. Jacobsen
Editor and Publisher

---

From: Jay Daley <[email-masked]>
Date: Tue, 29 Jun 2021 08:08:52 +1200

> On 29/06/2021, at 8:05 AM, Ole Jacobsen <[email-masked]> wrote:
> 
> Hi Jay,
> 

Out of our control and unlikely - sorry.  

Jay

> Web: protocoljournal.org <http://protocoljournal.org/>
> E-mail: [email-masked] <mailto:[email-masked]>
> E-mail: [email-masked] <mailto:[email-masked]>
> Skype: organdemo

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 29 Jun 2021 09:55:15 +1200

Note that https://www.rfc-editor.org/info/rfc8990 offers "Cite this RFC: TXT  |  XML".

For LaTeX lovers, there are also .bib options around.

Regards
   Brian Carpenter

On 29-Jun-21 08:05, Ole Jacobsen wrote:
>> An RFP was recently awarded [1] for a replacement for the citation library generation and access (API and web page) tool. Unfortunately, when writing that RFP I didn’t know about this specific tool and so it is not listed as a deliverable.  However, it should be relatively straightforward to add simple output of this format, though a fully programmable 
output format is more complex and I’m not sure it is necessary.  Do you use that programmable output functionality?
> ___________________________________________________________
> Tools-discuss mailing list - [email-masked]
> This list is for discussion, not for action requests or bug reports.
> * Report datatracker and mailarchive bugs to: [email-masked]
> * Report tools.ietf.org bugs to: [email-masked]
> * Report all other bugs or issues to: [email-masked]
> List info (including how to Unsubscribe): https://www.ietf.org/mailman/listinfo/tools-discuss
>

---

From: Larry Masinter <[email-masked]>
Date: Wed, 30 Jun 2021 20:31:23 -0700

I'm trying to build a bibliography of my "publications" at LarryMasinter.net.
I've been using Zotero -- one of several popular bibliographic tools.

I'm looking for some way to gather "my" citations and then import them into Zotero (which has a lot of import formats).
This seems like a different use case than the RFP asks for. Do I misunderstand?
--
https://LarryMasinter.net https://interlisp.org